package com.goafanti.common.dao;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

import com.goafanti.common.model.CopyrightInfo;
import com.goafanti.copyright.bo.CopyrightContractListBo;
import com.goafanti.copyright.bo.CopyrightInfoDetail;
import com.goafanti.copyright.bo.CopyrightInfoSummary;

public interface CopyrightInfoMapper {
	int deleteByPrimaryKey(String id);

	int insert(CopyrightInfo record);

	int insertSelective(CopyrightInfo record);

	CopyrightInfo selectByPrimaryKey(String id);

	CopyrightInfoDetail findByPrimaryKey(String id);

	int updateByPrimaryKeySelective(CopyrightInfo record);

	int updateByPrimaryKey(CopyrightInfo record);

	List<CopyrightInfoSummary> findListByPage(Map<String, Object> params);

	int findListCount(Map<String, Object> params);

	int deleteByPrimaryKeys(List<String> id);

	List<CopyrightInfo> selectByPrimaryKeys(List<String> asList);

	Integer countCopyrightDone(@Param("uid")String uid, @Param("year")Integer year);

	List<CopyrightContractListBo> listContractCopyrightByContractId(String contractId);

	void batchInsert(List<CopyrightInfo> ci);

	int batchDeleteByContractId(List<String> id);

	Integer findCopyrightInfoNumByUid(String uid);

	Integer countCopyrightUnDone(@Param("uid")String uid, @Param("year")Integer year);
}